<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>
    <script>
        const danItStudent= {
            name : "Кирилл",
            lastName: "Подолинный",
            homework: 9
        }
        console.log(danItStudent);
        let choiceProperty = prompt("Какое свойство вы хотите изменить?");

        while(!(choiceProperty in danItStudent)){
            choiceProperty = prompt(`${choiceProperty} у объекта нет. Напишите, пожалуйста, правильное свойство объекта`); 
            if (choiceProperty ===null){
                break;
            }
        }
            if(choiceProperty!==null){
                 const changeProperty = prompt("Какое значение вы хотите присвоить этому свойству?");
        danItStudent[choiceProperty] = changeProperty;

            }
           
            console.log(danItStudent);
 
          

    </script>
</body>
</html>